USE [COWS]
GO

--SELECT * FROM [dbo].[LK_SDE_PRDCT_TYPE]
--SELECT * FROM [dbo].[SDE_OPPTNTY_PRDCT]
--SELECT * FROM [dbo].[SDE_OPPTNTY_DOC]
--SELECT * FROM [dbo].[SDE_OPPTNTY_NTE]
--SELECT * FROM [dbo].[SDE_OPPTNTY]
DROP TABLE [dbo].[SDE_OPPTNTY_PRDCT]
DROP TABLE [dbo].[SDE_OPPTNTY_DOC]
DROP TABLE [dbo].[SDE_OPPTNTY_NTE]
DROP TABLE [dbo].[SDE_OPPTNTY]
DROP TABLE [dbo].[LK_SDE_PRDCT_TYPE]

CREATE TABLE [dbo].[LK_SDE_PRDCT_TYPE]
( 
	[SDE_PRDCT_TYPE_ID]      smallint  		NOT NULL ,
	[SDE_PRDCT_TYPE_NME]		varchar(1000)  	NOT NULL ,
	[SDE_PRDCT_TYPE_DESC]		varchar(4000)  	NOT NULL ,
	[ORDR_BY_SEQ_NBR]		smallint  		NOT NULL ,
	[OUTSRCD_CD]			BIT				NOT NULL CONSTRAINT [DF_LK_SDE_PRDCT_TYPE_OUTSRCD_1] DEFAULT ((0)),
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_LK_SDE_PRDCT_TYPE_RECSTUSID_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_LK_SDE_PRDCT_TYPE_getdate_1]  DEFAULT (getdate()),
	CONSTRAINT [PK_LK_SDE_PRDCT_TYPE] PRIMARY KEY CLUSTERED 
(
	[SDE_PRDCT_TYPE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER TABLE [dbo].[LK_SDE_PRDCT_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_SDE_PRDCT_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_SDE_PRDCT_TYPE] CHECK CONSTRAINT [FK01_LK_SDE_PRDCT_TYPE]
GO

ALTER TABLE [dbo].[LK_SDE_PRDCT_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_SDE_PRDCT_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_SDE_PRDCT_TYPE] CHECK CONSTRAINT [FK02_LK_SDE_PRDCT_TYPE]
GO

ALTER TABLE [dbo].[LK_SDE_PRDCT_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_SDE_PRDCT_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_SDE_PRDCT_TYPE] CHECK CONSTRAINT [FK03_LK_SDE_PRDCT_TYPE]
GO

CREATE TABLE [dbo].[SDE_OPPTNTY]
( 
	[SDE_OPPTNTY_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[SDE_STUS_ID]      SMALLINT  		NOT NULL	 ,
	[CMPNY_NME]		[varbinary](max)  	NOT NULL ,
	[ADDR]		[varbinary](max)  	NOT NULL ,
	[RGN]		varchar(255)  	NOT NULL ,
	[STATE]		[varbinary](max)  	NOT NULL ,
	[CITY]		[varbinary](max)  	NOT NULL ,
	[CNTCT_NME]		[varbinary](max)  	NOT NULL ,
	[CNTCT_EMAIL]		[varbinary](max)  	NOT NULL ,
	[CNTCT_PHN]		[varbinary](max)  	NOT NULL ,
	[SALE_TYPE]		CHAR(1)  	NOT NULL ,
	[RFP_CD]		BIT  	NOT NULL ,
	[WRLNE_CUST_CD]		BIT  	NOT NULL ,
	[MNGD_SRVC_CUST_CD]		BIT  	NOT NULL ,
	[CMNT_TXT]		VARCHAR(MAX)  	NULL ,
	[CC_ADR]		VARCHAR(MAX)  	NULL ,
	[ASN_TO_USER_ID] [int] NULL,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_RECSTUSID_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_SDE_OPPTNTY] PRIMARY KEY CLUSTERED 
(
	[SDE_OPPTNTY_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER TABLE [dbo].[SDE_OPPTNTY]  WITH NOCHECK ADD  CONSTRAINT [FK01_SDE_OPPTNTY] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY] CHECK CONSTRAINT [FK01_SDE_OPPTNTY]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY]  WITH NOCHECK ADD  CONSTRAINT [FK02_SDE_OPPTNTY] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY] CHECK CONSTRAINT [FK02_SDE_OPPTNTY]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY]  WITH NOCHECK ADD  CONSTRAINT [FK03_SDE_OPPTNTY] FOREIGN KEY([SDE_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY] CHECK CONSTRAINT [FK03_SDE_OPPTNTY]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY]  WITH NOCHECK ADD  CONSTRAINT [FK04_SDE_OPPTNTY] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY] CHECK CONSTRAINT [FK04_SDE_OPPTNTY]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY]  WITH NOCHECK ADD  CONSTRAINT [FK05_SDE_OPPTNTY] FOREIGN KEY([ASN_TO_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY] CHECK CONSTRAINT [FK05_SDE_OPPTNTY]
GO


CREATE TABLE [dbo].[SDE_OPPTNTY_PRDCT]
( 
	[SDE_OPPTNTY_PRDCT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[SDE_OPPTNTY_ID]      INT  		NOT NULL,
	[SDE_PRDCT_TYPE_ID]      SMALLINT  		NOT NULL,
	[QTY]					INT  		NOT NULL,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_PRDCT_RECSTUSID_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_PRDCT_getdate_1]  DEFAULT (getdate()),
	CONSTRAINT [PK_SDE_OPPTNTY_PRDCT] PRIMARY KEY CLUSTERED 
(
	[SDE_OPPTNTY_PRDCT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT]  WITH NOCHECK ADD  CONSTRAINT [FK01_SDE_OPPTNTY_PRDCT] FOREIGN KEY([SDE_OPPTNTY_ID])
REFERENCES [dbo].[SDE_OPPTNTY] ([SDE_OPPTNTY_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT] CHECK CONSTRAINT [FK01_SDE_OPPTNTY_PRDCT]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT]  WITH NOCHECK ADD  CONSTRAINT [FK02_SDE_OPPTNTY_PRDCT] FOREIGN KEY([SDE_PRDCT_TYPE_ID])
REFERENCES [dbo].[LK_SDE_PRDCT_TYPE] ([SDE_PRDCT_TYPE_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT] CHECK CONSTRAINT [FK02_SDE_OPPTNTY_PRDCT]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT]  WITH NOCHECK ADD  CONSTRAINT [FK03_SDE_OPPTNTY_PRDCT] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT] CHECK CONSTRAINT [FK03_SDE_OPPTNTY_PRDCT]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT]  WITH NOCHECK ADD  CONSTRAINT [FK04_SDE_OPPTNTY_PRDCT] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT] CHECK CONSTRAINT [FK04_SDE_OPPTNTY_PRDCT]
GO


CREATE TABLE [dbo].[SDE_OPPTNTY_DOC]
( 
	[SDE_OPPTNTY_DOC_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[SDE_OPPTNTY_ID]      INT  		NOT NULL,
	[FILE_NME] [varchar](4000) NOT NULL,
	[FILE_CNTNT] [varbinary](max) NOT NULL,
	[FILE_SIZE_QTY] [int] NOT NULL,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_DOC_RECSTUSID_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_DOC_getdate_1]  DEFAULT (getdate()),
	CONSTRAINT [PK_SDE_OPPTNTY_DOC] PRIMARY KEY CLUSTERED 
(
	[SDE_OPPTNTY_DOC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[SDE_OPPTNTY_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK01_SDE_OPPTNTY_DOC] FOREIGN KEY([SDE_OPPTNTY_ID])
REFERENCES [dbo].[SDE_OPPTNTY] ([SDE_OPPTNTY_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_DOC] CHECK CONSTRAINT [FK01_SDE_OPPTNTY_DOC]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK02_SDE_OPPTNTY_DOC] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_DOC] CHECK CONSTRAINT [FK02_SDE_OPPTNTY_DOC]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK03_SDE_OPPTNTY_DOC] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_DOC] CHECK CONSTRAINT [FK03_SDE_OPPTNTY_DOC]
GO

CREATE TABLE [dbo].[SDE_OPPTNTY_NTE]
( 
	[SDE_OPPTNTY_NTE_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[SDE_OPPTNTY_ID]      INT  		NOT NULL,
	[NTE_TXT] [varbinary](max) NOT NULL,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_NTE_RECSTUSID_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_SDE_OPPTNTY_NTE_getdate_1]  DEFAULT (getdate()),
	CONSTRAINT [PK_SDE_OPPTNTY_NTE] PRIMARY KEY CLUSTERED 
(
	[SDE_OPPTNTY_NTE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[SDE_OPPTNTY_NTE]  WITH NOCHECK ADD  CONSTRAINT [FK01_SDE_OPPTNTY_NTE] FOREIGN KEY([SDE_OPPTNTY_ID])
REFERENCES [dbo].[SDE_OPPTNTY] ([SDE_OPPTNTY_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_NTE] CHECK CONSTRAINT [FK01_SDE_OPPTNTY_NTE]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_NTE]  WITH NOCHECK ADD  CONSTRAINT [FK02_SDE_OPPTNTY_NTE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_NTE] CHECK CONSTRAINT [FK02_SDE_OPPTNTY_NTE]
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_NTE]  WITH NOCHECK ADD  CONSTRAINT [FK03_SDE_OPPTNTY_NTE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[SDE_OPPTNTY_NTE] CHECK CONSTRAINT [FK03_SDE_OPPTNTY_NTE]
GO


--ALTER TABLE [dbo].[SDE_OPPTNTY]
--ADD [CNTCT_PHN]		[varbinary](max) NULL
--GO

--OPEN SYMMETRIC KEY FS@K3y             
--DECRYPTION BY CERTIFICATE S3cFS@CustInf0;      

--UPDATE dbo.[SDE_OPPTNTY] SET [CNTCT_PHN]=dbo.encryptstring('')

--ALTER TABLE [dbo].[SDE_OPPTNTY]
--ALTER COLUMN [CNTCT_PHN]		[varbinary](max) NOT NULL
--GO


--ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT]
--ADD [QTY]					SMALLINT   NULL
--GO

--UPDATE [SDE_OPPTNTY_PRDCT] SET [QTY]=0

--ALTER TABLE [dbo].[SDE_OPPTNTY_PRDCT]
--ALTER COLUMN [QTY]					SMALLINT   NOT NULL
--GO

--ALTER TABLE [dbo].[SDE_OPPTNTY_DOC]
--ADD [EXPRTN_DT]	[DATETIME]  NULL
--GO

--UPDATE [SDE_OPPTNTY_DOC] SET [EXPRTN_DT]=GETDATE()

--ALTER TABLE [dbo].[SDE_OPPTNTY_DOC]
--ALTER COLUMN [EXPRTN_DT]	[DATETIME]  NOT NULL
--GO

--ALTER TABLE dbo.LK_SDE_PRDCT_TYPE
-- ADD [OUTSRCD_CD]			BIT				NOT NULL 
-- CONSTRAINT [DF_LK_SDE_PRDCT_TYPE_OUTSRCD_1] DEFAULT ((0))
-- GO

-- ALTER TABLE dbo.SDE_OPPTNTY_DOC
-- ALTER COLUMN [FILE_NME] [varchar](4000) NOT NULL
-- GO

-- ALTER TABLE [dbo].[SDE_OPPTNTY]
-- ADD [ASN_TO_USER_ID] [int] NULL
-- GO

-- ALTER TABLE [dbo].[SDE_OPPTNTY]  WITH NOCHECK ADD  CONSTRAINT [FK05_SDE_OPPTNTY] FOREIGN KEY([ASN_TO_USER_ID])
-- REFERENCES [dbo].[LK_USER] ([USER_ID])
-- GO

-- ALTER TABLE [dbo].[SDE_OPPTNTY] CHECK CONSTRAINT [FK05_SDE_OPPTNTY]
-- GO


-- UPDATE dbo.SDE_OPPTNTY SET [ASN_TO_USER_ID]=1

-- ALTER TABLE [dbo].[SDE_OPPTNTY]
-- ALTER COLUMN [ASN_TO_USER_ID] [int] NULL
-- GO

-- ALTER TABLE dbo.SDE_OPPTNTY_PRDCT
-- ALTER COLUMN [QTY] INT NOT NULL
-- GO

-- ALTER TABLE [dbo].[SDE_OPPTNTY] 
-- ADD [CC_ADR]		VARCHAR(MAX)  	NULL
-- GO

-- ALTER TABLE [dbo].[SDE_OPPTNTY_DOC]
-- DROP COLUMN [EXPRTN_DT]
-- GO